local AB, ForwardEnv, autorunId = OneRingLib and OneRingLib.ext and OneRingLib.ext.ActionBook:compatible(1, 7), (GetManagedEnvironment(Forward))
if not AB then return end

local function hint(actionId)
	if actionId == autorunId then
		return true, ForwardEnv.ar and 1 or 0, [[Interface\Icons\misc_arrowlup]], "Toggle Autorun", 0, 0, 0
	end
end
local function get()
	if not autorunId then
		autorunId = AB:create("attribute", hint, "type","macro", "macrotext","/click Forward auto 1")
	end
	return autorunId
end
local function describe()
	return "Forward", "Toggle Autorun", [[Interface\Icons\misc_arrowlup]]
end

AB:register("forward.autorun", get, describe)
AB:miscaction("forward.autorun")